ConstantRecoveryModel Class Reference

`#include <ql/experimental/credit/recoveryratemodel.hpp>`

Inheritance diagram for ConstantRecoveryModel:
[legend]

## Public Member Functions

| ConstantRecoveryModel (const Handle< RecoveryRateQuote > &quote)
| ConstantRecoveryModel (Real recovery, Seniority sen=NoSeniority)
void | update ()
bool | appliesToSeniority (Seniority) const
Public Member Functions inherited from RecoveryRateModel
virtual Real | recoveryValue (const Date &defaultDate, const DefaultProbKey &defaultKey=DefaultProbKey()) const
Public Member Functions inherited from Observable
| Observable (const Observable &)
Observable & | operator= (const Observable &)
void | notifyObservers ()
Public Member Functions inherited from Observer
| Observer (const Observer &)
Observer & | operator= (const Observer &)
std::pair< iterator, bool > | registerWith (const boost::shared_ptr< Observable > &)
void | registerWithObservables (const boost::shared_ptr< Observer > &)
Size | unregisterWith (const boost::shared_ptr< Observable > &)
void | unregisterWithAll ()
virtual void | deepUpdate ()

## Protected Member Functions

Real | recoveryValueImpl (const Date &, const DefaultProbKey &) const

## Additional Inherited Members

Public Types inherited from Observer
typedef std::set< boost::shared_ptr< Observable > > | set_type
typedef set_type::iterator | iterator

## Detailed Description

Simple Recovery Rate model returning the constant value of the quote independently of the date and the seniority.

## Member Function Documentation

## update()

void update | ( |  | ) |

virtual

This method must be implemented in derived classes. An instance of Observer does not call this method directly: instead, it will be called by the observables the instance registered with when they need to notify any changes.

Implements Observer.

## appliesToSeniority()

bool appliesToSeniority | ( | Seniority |  | ) | const

virtual

Returns true if the model will return recovery rates for the requested seniority.

Implements RecoveryRateModel.

## recoveryValueImpl()

Real recoveryValueImpl | ( | const Date & | ,
|  | const DefaultProbKey & |
| ) |  | const

protected virtual

Notice the quote's value is returned without a check on a match of the seniorties of the quote and the request.

Implements RecoveryRateModel.